POST
Forward tokens from address
This API call is to manually forward tokens from an ETH or CELO address
Path Params
-
coinstring requiredA cryptocurrency symbol or token ticker symbol -
walletIdstring required -
addressIdstring requiredAddress or Id which will be used for information lookup
Body Params
object
-
tokenNamestringName of token that needs to be forwarded from the address -
forceFlushbooleanUse forceFlush: true to flush the tokens from forwarder irrespective of the balance of the forwarders -
gasPricenumberExplicit gas price to use when forwarding token from the forwarder contract (ETH and Celo only). If not given, defaults to the current estimated network gas price. -
eip1559objectSpecify eip1559 fee parameters in token forwarding transaction.eip1559 object
-
maxFeePerGasnumber requiredMax total gasPrice for EIP1559 transactions. Only for ETH and ERC20 tokens. -
maxPriorityFeePerGasnumber requiredMax priority tip price for EIP1559 transactions. Only for ETH and ERC20 tokens.
-
Responses
200
OK
Response Body
object
-
txIdstring required
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
401
Unauthorized
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id